package pwc.taxtech.atms.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.entity.CellTemplate;
import pwc.taxtech.atms.entity.CellTemplateExample;

import java.util.List;

@Service
public class CellTemplateDao {
    @Autowired
    private CellTemplateMapper mapper;

    public List<CellTemplate> getByTemplateId(Long id) {
        CellTemplateExample example = new CellTemplateExample();
        CellTemplateExample.Criteria criteria = example.createCriteria();
        criteria.andReportTemplateIdEqualTo(id);
        return mapper.selectByExample(example);
    }


}
