package pwc.taxtech.atms.service;

public interface AccountService {
    
    /**
     * 匹配标准科目到企业科目（按科目编码）
     * @param enterpriseAccountSetId - 账套Id
     * @param stdAccountCode - 标准科目编码
     * @param epAccountCode - 企业科目编码
     * @param industryId - 行业Id
     * @param organizationId - 机构Id
     * @param bOverwrite - 是否覆盖已有对应
     * @param acctLevel - 科目级别
     */
    void mapStdAccountByCode (String enterpriseAccountSetId, String stdAccountCode, String epAccountCode, String industryId, String organizationId,
            Boolean bOverwrite, Integer acctLevel);
    
}
