package pwc.taxtech.atms.service;

import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.entity.PeriodInfo;

import java.util.List;

public interface ProjectInfoService {
    OperationResultDto<Boolean> isProjectImportedData(String projectId, Integer serviceType, Integer importTypeId);

    OperationResultDto<Boolean> isProjectImportedData(String projectId, Integer importTypeId);

    OperationResultDto<List<PeriodInfo>> getProjectImportType(String projectId, List<Integer> periods, Integer serviceTypeId, String id);

    Integer getImportType(String projectId, Integer periodId, String id, Integer serviceType);
}
